%global pypi_name isodate
%global commitId 4f36d7e6f6adee4c1ec719bb9beb035df4a7d76c

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.6.1
Release:        1%{?dist}
Summary:        An ISO 8601 date/time/duration parser and formatter

License:        BSD
URL:            https://github.com/gweis/isodate
Source0:        python-isodate-4f36d7e6f6adee4c1ec719bb9beb035df4a7d76c.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
This module implements ISO 8601 date, time and duration parsing. The
implementation follows ISO8601:2004 standard, and implements only date/time
representations mentioned in the standard. If something is not mentioned there,
then it is treated as non existent, and not as an allowed option.}

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-six

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGES.txt README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Dec 04 2023 Satoe Imaishi <simaishi@redhat.com> - 0.6.1-1
- Update to 0.6.1

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 0.6.0-2
- Build against python 3.9

* Tue Nov 02 2021 Evgeni Golov - 0.6.0-1
- Initial package.
